[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

'/lib/ld-linux.so.2 is not a symlink'

I upgraded my system to the "current" state of frozen. During this I
started getting the message in the subject whenever ldconfig was run.
And indeed:

$ ls -l /lib/ld-linux.so.2
-rwxr-xr-x   1 root     root       303594 Feb  3 00:53 /lib/ld-linux.so.2

$ ls -l /lib/ld-2.0.7.so
-rwxr-xr-x   1 root     root        69529 Feb  3 00:53 /lib/ld-2.0.7.so

ld-linux.so.2 is usually a symlink to ld-2.0.7.so, isn't it?
Chris, what's going on? This is from libc6.1 There's
also something there that worries me:

$ dpkg -s libc6.1 
Replaces: libc6.1-dev

"replaces libc6.1-dev" ??!

Paul Slootman
home: paul@wurtel.demon.nl | work: paul@murphy.nl | debian: paul@debian.org
http://www.wurtel.demon.nl | Murphy Software,   Enschede,   the Netherlands

Reply to: